clear VDMGPDS500_47 VDMGPDS500_23
load(['sarcos_stdY_' num2str([4 7]) '_' num2str(500)]);
for i=1:10
    load(['./N500p/demSarcos_inv4  7Varmgplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VDMGPDS500_47(i,:) = [SMSEy,p];
   
end
VDMGPDS500_47(end+1,:) = mean(VDMGPDS500_47);
VDMGPDS500_47(end+1,:) = std(VDMGPDS500_47);

load(['sarcos_stdY_' num2str([2 3]) '_' num2str(500)]);
for i=1:10
    load(['./N500p/demSarcos_inv2  3Varmgplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VDMGPDS500_23(i,:) = [SMSEy,p];
end
VDMGPDS500_23(end+1,:) = mean(VDMGPDS500_23);
VDMGPDS500_23(end+1,:) = std(VDMGPDS500_23);
save('N500VDMGPDS','VDMGPDS500_47','VDMGPDS500_23');
%%
clear VDMGPDS300_47 VDMGPDS300_23
load(['sarcos_stdY_' num2str([4 7]) '_' num2str(300)]);
for i=1:10
    load(['./N300p/demSarcos_inv4  7Varmgplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VDMGPDS300_47(i,:) = [SMSEy,p];
   
end
VDMGPDS300_47(end+1,:) = mean(VDMGPDS300_47);
VDMGPDS300_47(end+1,:) = std(VDMGPDS300_47);

load(['sarcos_stdY_' num2str([2 3]) '_' num2str(300)]);
for i=1:10
    load(['./N300p/demSarcos_inv2  3Varmgplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VDMGPDS300_23(i,:) = [SMSEy,p];
end
VDMGPDS300_23(end+1,:) = mean(VDMGPDS300_23);
VDMGPDS300_23(end+1,:) = std(VDMGPDS300_23);
save('N300VDMGPDS','VDMGPDS300_47','VDMGPDS300_23');
%%

clear VDMGPDS100_47 VDMGPDS100_23
load(['sarcos_stdY_' num2str([4 7]) '_' num2str(100)]);
for i=1:10
    load(['./N100p/demSarcos_inv4  7Varmgplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VDMGPDS100_47(i,:) = [SMSEy,p];
   
end
VDMGPDS100_47(end+1,:) = mean(VDMGPDS100_47);
VDMGPDS100_47(end+1,:) = std(VDMGPDS100_47);

load(['sarcos_stdY_' num2str([2 3]) '_' num2str(100)]);
for i=1:10
    load(['./N100p/demSarcos_inv2  3Varmgplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VDMGPDS100_23(i,:) = [SMSEy,p];
end
VDMGPDS100_23(end+1,:) = mean(VDMGPDS100_23);
VDMGPDS100_23(end+1,:) = std(VDMGPDS100_23);
save('N100VDMGPDS','VDMGPDS100_47','VDMGPDS100_23');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
clear VGPDS500_47 VGPDS500_23
load(['sarcos_stdY_' num2str([4 7]) '_' num2str(500)]);
for i=1:10
    load(['./N500p/demSarcos_inv4  7Vargplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VGPDS500_47(i,:) = [SMSEy,p];
   
end
VGPDS500_47(end+1,:) = mean(VGPDS500_47);
VGPDS500_47(end+1,:) = std(VGPDS500_47);

load(['sarcos_stdY_' num2str([2 3]) '_' num2str(500)]);
for i=1:10
    load(['./N500p/demSarcos_inv2  3Vargplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VGPDS500_23(i,:) = [SMSEy,p];
end
VGPDS500_23(end+1,:) = mean(VGPDS500_23);
VGPDS500_23(end+1,:) = std(VGPDS500_23);
save('N500VGPDS','VGPDS500_47','VGPDS500_23');
%%
clear VGPDS300_47 VGPDS300_23
load(['sarcos_stdY_' num2str([4 7]) '_' num2str(300)]);
for i=1:10
    load(['./N300p/demSarcos_inv4  7Vargplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VGPDS300_47(i,:) = [SMSEy,p];
   
end
VGPDS300_47(end+1,:) = mean(VGPDS300_47);
VGPDS300_47(end+1,:) = std(VGPDS300_47);

load(['sarcos_stdY_' num2str([2 3]) '_' num2str(300)]);
for i=1:10
    load(['./N300p/demSarcos_inv2  3Vargplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VGPDS300_23(i,:) = [SMSEy,p];
end
VGPDS300_23(end+1,:) = mean(VGPDS300_23);
VGPDS300_23(end+1,:) = std(VGPDS300_23);
save('N300VGPDS','VGPDS300_47','VGPDS300_23');
%%
 
clear VGPDS100_47 VGPDS100_23
load(['sarcos_stdY_' num2str([4 7]) '_' num2str(100)]);
for i=1:10
    load(['./N100p/demSarcos_inv4  7Vargplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VGPDS100_47(i,:) = [SMSEy,p];
   
end
VGPDS100_47(end+1,:) = mean(VGPDS100_47);
VGPDS100_47(end+1,:) = std(VGPDS100_47);

load(['sarcos_stdY_' num2str([2 3]) '_' num2str(100)]);
for i=1:10
    load(['./N100p/demSarcos_inv2  3Vargplvm' num2str(i) 'result']);
    SMSEy = sqrt(SMSEy.*stdYs(i,:));
    VGPDS100_23(i,:) = [SMSEy,p];
end
VGPDS100_23(end+1,:) = mean(VGPDS100_23);
VGPDS100_23(end+1,:) = std(VGPDS100_23);
save('N100VGPDS','VGPDS100_47','VGPDS100_23');


